onEvent("recipes", event => {
  event.remove({ output: 'mekanism:steel_casing'})
  event.recipes.createMechanicalCrafting('mekanism:steel_casing', [
    'SGS',
    'GOG',
    'SGS'
  ], {
    S: 'mekanism:ingot_steel',
    G: '#forge:glass',
    O: 'mekanism:ingot_osmium'
  })

  event.remove({output: 'thermal:machine_frame'})
  event.recipes.createMechanicalCrafting('thermal:machine_frame', [
    'SGS',
    'EBE',
    'SGS' 
  ], {
    S: 'mekanism:ingot_steel',
    G: '#forge:glass',
    E: 'thermal:lead_plate',
    B: 'thermal:bronze_gear'
  })
  
  event.remove({ output: 'rftoolsbase:machine_frame'})
  event.recipes.createMechanicalCrafting('rftoolsbase:machine_frame', [
    'SBS',
    'GAG',
    'SBS'
  ], {
    S: 'thermal:silver_ingot',
    B: '#forge:dyes/blue',
    G: 'powah:crystal_blazing',
    A: 'thermal:lead_gear'
  })
  
  event.remove({ output: 'industrialforegoing:machine_frame_pity'})
  event.recipes.createMechanicalCrafting('industrialforegoing:machine_frame_pity', [
    'WCW',
    'CRC',
    'WCW'
  ], {
    W: '#minecraft:logs',
    C: 'pneumaticcraft:ingot_iron_compressed',
    R: 'minecraft:redstone_block'
  })
  
  event.remove({ output: 'powah:dielectric_casing'})
  event.recipes.createMechanicalCrafting('powah:dielectric_casing', [
    'WCW',
    'ARA',
    'WCW'
  ], {
    A: 'powah:dielectric_rod',
    C: 'powah:dielectric_rod_horizontal',
    R: 'mekanism:alloy_reinforced',
    W: 'pneumaticcraft:ingot_iron_compressed'
  })
  
  event.remove({output: 'extendedcrafting:ultimate_singularity'})
  event.recipes.createMechanicalCrafting('extendedcrafting:ultimate_singularity', [
    'AB C ',
    'DEFGS',
    ' HIJ ',
    'KLMNO',
    ' P QR'
  ], {
    A: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:bronze"}'),
    B: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:steel"}'),
    C: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:invar"}'),
    D: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:copper"}'),
    E: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:lead"}'),
    F: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:glowstone"}'),
    G: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:electrum"}'),
    H: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:lapis_lazuli"}'),
    I: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:uranium"}'),
    J: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:emerald"}'),
    K: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:coal"}'),
    L: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:redstone"}'),
    M: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:aluminum"}'),
    N: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:silver"}'),
    O: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:tin"}'),
    P: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:platinum"}'),
    Q: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:diamond"}'),
    R: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:iron"}'),
    S: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:nickel"}')
  })

  event.recipes.createMixing('2x astralsorcery:marble_raw', [
    'minecraft:diorite',
    'botania:quartz_mana'
  ])

  event.recipes.createPressing('immersiveengineering:plate_steel', 'mekanism:ingot_steel')
  
  event.shaped('create:andesite_alloy', [
    'IA',
    'AI'
  ], {
    I: 'minecraft:iron_nugget',
    A: 'minecraft:cobblestone'
  })
})